# class KBuildSycocaProgressDialog

###

Module | kio
Namespace |
Class | KBuildSycocaProgressDialog
Inherits | QProgressDialog

Progress dialog while ksycoca is being rebuilt (by kbuildsycoca). Usage: KBuildSycocaProgressDialog.rebuildKSycoca(parentWidget)

### methods

- KBuildSycocaProgressDialog (parent, caption, text)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |
  caption | QString |
  text | QString |

- KBuildSycocaProgressDialog ( )

  returns dtor
  Not implemented

- rebuildKSycoca (parent)

  returns Nothing
  static

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |

  Rebuild KSycoca and show a progress dialog while doing so.

  parent - Parent widget for the progress dialog